<?php
include '../comunes_php/cors.php';
include "../comunes_php/Log.class.php"; 

$id = intval($_REQUEST['id']);
	include '../rdb/conn.php';

$log = new Log("app_trace", "./");
$parametros = print_r($_REQUEST,TRUE); 
$log->insert($parametros, false, false, false);

//si el producto fue usado en algun contrato solo lo deshabilito, sino lo borro fisicamente.
$sql="select count(*) from contratos_detalle where producto_id=$id";
$rs = mysqli_query( $conn,$sql);
$row = mysqli_fetch_row($rs);
$cantContratos = $row[0];

if ($cantContratos==0 ) {     

        try {    
        mysqli_query( $conn,"SET AUTOCOMMIT=0");
        mysqli_query( $conn,"START TRANSACTION");
        
        $sql = "delete from producto_materia_prima  where producto_id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);

                        	    
        $sql  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
        $sql .= " ('$fecha','$visitante','$accion')";
        @mysqli_query( $conn,$sql);
        
        $sql = "delete from adicionales_por_producto where producto_id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);
	
                        	    
        $sql  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
        $sql .= " ('$fecha','$visitante','$accion')";
        @mysqli_query( $conn,$sql);
        
        $sql = "delete from precio_productos where producto_id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);
	
                        	    
        
        $sql  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
        $sql .= " ('$fecha','$visitante','$accion')";
        @mysqli_query( $conn,$sql);
                    
        $sql = "delete from productos where id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);

                        	    

        mysqli_query( $conn,"COMMIT");
        echo json_encode(array('success'=>true));
        
        } catch(exception $error) {
            
        mysqli_query( $conn,"ROLLBACK");
        
        echo 'Ocurrio el siguiente error'. $error->getMessage();    
        }
}
else{
    $sql = "update producto_materia_prima set deleted=1 where producto_id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);
	
}
?>